document.onreadystatechange  = function(){
  if (document.readyState=="complete") {

    var s = document.title;
    var title = "";
    for (var i = 0; i < s.length; i++) {
      var c = s.charCodeAt(i);
      title = title + String.fromCharCode((c == 168) ? 1025 : ((c == 184) ? 1105 : ((c >= 192) ? c  + 848 : c)));
    }
    document.title = title;

    var clickProducer = function(node) {
      var params = node.childNodes;
      var target = "";
      for (var j = 0; j < params.length; j++)
        if (params[j].getAttribute && (params[j].getAttribute("name") == "Item2"))
          target = params[j].getAttribute("value");
      return function(){
         target?window.open(target + ".htm", "_self"):null;
       }
    };

    var nodes = document.getElementsByTagName("OBJECT");

    for(var i = nodes.length - 1; i >= 0; i--){
       window[nodes[i].id] = {hhclick: clickProducer(nodes[i])};
       nodes[i].parentNode.removeChild(nodes[i]);
    }

  }
};

